@import 'src/core.scss';


div#clients-section {
	min-height: 100vh;
	
	div#clients-section-content {
		max-width: $maxWebsiteWidth;
		padding: 50px 10px 50px 10px;
		margin: auto;
		color: $mainColor1;

		div#divider {
			width: 100px;
			height: 3px;
			border-radius: 2px;
			background-color: $mainColor1;
		}

		#clients-grid {
			div.masonry-item {
				width: 225px;
				cursor: pointer;

				img {
					width: 100%;
					height: 100%;
					filter: grayscale(100%);
					transition: 1s;
				}

				img:hover {
					filter: grayscale(0%);
				}
			}

			div.masonry-item.mobile {
				width: 150px;
			}
		}

		button#full-client-list-button {
			color: $mainColor1;
			background-color: #FFFFFF;
			border: 2px solid $mainColor1;
			border-radius: 5px;
			padding: 5px;
			width: 150px;
			cursor: pointer;
		}

		div#full-client-list {
			width: 100%;
			margin-top: 25px;
			
			div.client-name {
				color: $mainColor1;
				padding: 5px 10px;
				cursor: pointer;
			}
		}
	}
}